Jump to content

Movie file naming for Emby and Kodi


TugboatBill
 Share

Recommended Posts

TugboatBill

I having a problem with the naming of movies.  I have:

The Lord of The Rings The Two Towers\The Lord of The Rings The Two Towers - Extended [1080p].mkv

and

The Lord of The Rings The Two Towers\The Lord of The Rings The Two Towers - Extended [2160p].mkv

In Emby I can select whichever version I want to play.  However in Kodi I only see the first one.    How do I name then so that both appear in Kodi yet still allow selection in Emby?

Link to comment
Share on other sites

rodainas

If you are using emby next gen for kodi or embycon addons, both lets you select the version of the movie you want to play, but you have to press play on the item for the popup to showup. If you want a movie version selector like emby when viewing the movie information page (before playing the item), that's not possible with Kodi.

Link to comment
Share on other sites

TugboatBill

How do I get it to come up in next gen?  I tried pressing play and it just starts playing the 1080 version.

Link to comment
Share on other sites

rodainas
Posted (edited)
14 hours ago, TugboatBill said:

How do I get it to come up in next gen?  I tried pressing play and it just starts playing the 1080 version.

https://support.emby.media/support/solutions/articles/44001159102-movie-naming

Do you have checked Enable Context Menu on Interface on Emby Next Gen settings?

I name the movies like this, the difference with what you have is that you arent using year.

You should try renaming your files and rescanning the library, after your movies entries get updated on emby server,and emby next gen synchronices this changes, then play the movie.

Multi-version movies

Multiple versions of the same content can be stored in a single movie folder.

/Movies   /300 (2006)   /300 (2006)/300 (2006) - 1080p.mkv   /300 (2006)/300 (2006) - 1080p-trailer.mp4   /300 (2006)/300 (2006) - 4K.mkv   /300 (2006)/300 (2006) - 720p.mp4   /300 (2006)/300 (2006) - extended edition.mp4   /300 (2006)/300 (2006) - directors cut.mp4   /300 (2006)/300 (2006) - 3D.hsbs.mp4

The weird thing is that emby already detects multiversion for you, but for some reason emby next gen is ignoring with your current setup.

if this doesnt help maybe the problem are versions used, what version of emby next gen and Kodi are you using?

Am using Latest emby next gen from stable repo and Kodi 19.1.

Edited by rodainas
Link to comment
Share on other sites

quickmic

Important information:

next-gen 5.x in native mode does not support multiselection.

It's supported by 6.x but this is an experimental version.

  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...